<template>
  <nav>
    <v-toolbar class="cyan accent-4">
      <v-app-bar-nav-icon
        @click.stop="drawer = !drawer"
        class="white--text hidden-md-and-up">
      </v-app-bar-nav-icon>
      <v-toolbar-title
        class="text-uppercase white--text"
      >
        EMPLOYEE PANEL
      </v-toolbar-title>
      <v-spacer></v-spacer>
      <v-btn
        v-for="item in items"
        :key="item.title"
        text
        class="hidden-sm-and-down"
        color="white"
        :to="item.router"
      >
       <v-icon class="mr-2">{{ item.icon }}</v-icon>
        {{ item.title }}
      </v-btn>
    </v-toolbar>
    <v-navigation-drawer
      app
      v-model="drawer"
      class="cyan accent-4"
      dark
      absolute
    >
      <v-img
        src="https://cdn.vuetifyjs.com/images/cards/sunshine.jpg"
        height="200px"
      ></v-img>
      <v-list>
        <v-list-item
          link
          v-for="item in items"
          :key="item.title"
          :to="item.router"
        >
          <v-list-item-icon>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-icon>

          <v-list-item-content>
            <v-list-item-title>{{ item.title }}</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
      <template v-slot:append>
        <div class="pa-2">
          <v-btn block>Logout</v-btn>
        </div>
      </template>
    </v-navigation-drawer>
  </nav>
</template>

<script>
export default {
  data() {
    return {
      drawer: false,
      items: [
        { title: 'CHANGE PASSWORD', icon: 'mdi-lock-open-outline', router: '/changepassword' },
        { title: 'PROFILE INFO', icon: 'mdi-face', router: '/employeeinformation' },
        { title: 'APPLY LEAVE', icon: 'mdi-gesture-tap', router: 'ApplyLeave' },
        { title: 'LEAVE LIST', icon: 'mdi-clipboard-text', router: 'EmployeeLeave' },
      ],
      employee: [
        { title: 'ADD EMPLOYEE', router: 'AddEmployee', icon: 'mdi-plus-box' },
        { title: 'EMPLOYEE LIST', router: 'ListEmployee', icon: 'mdi-clipboard-text' },
      ],
      department: [
        { title: 'ADD DEPARTMENT', router: 'departmentform', icon: 'mdi-plus-box' },
        { title: 'DEPARTMENT LIST', router: 'departmentlist', icon: 'mdi-clipboard-text' },
      ],
      leave: [
        { title: 'ADD LEAVE TYPE', router: 'leaveform', icon: 'mdi-plus-box' },
        { title: 'LEAVE TYPE LIST', router: 'leavelist', icon: 'mdi-clipboard-text' },
      ],
      login: [
        { title: 'SIGNIN', router: 'signIn', icon: 'mdi-login' },
        { title: 'SIGNUP', router: 'signUp', icon: 'mdi-face' },
      ],
    };
  },
  methods: {
    toggleDrawer() {
      this.$emit('showDrawer');
    },
  },
};
</script>

<style>
</style>
